data:extend(
{
    {
        type = "item",
        name = "mine-placer",
        icon = "__test__/graphics/resource-monitor.png",
        flags = {"goes-to-quickbar"},
        damage_radius = 5,
        subgroup = "tool",
        order = "b[mine-placer]",
        place_result = "mine-placer",
        stack_size = 1
    },

    {
        type = "container",
        name = "mine-placer",
        icon = "__test__/graphics/resource-monitor.png",
        flags = {"placeable-neutral", "player-creation"},
        minable = {mining_time = 1, result = "mine-placer"},
        max_health = 100,
        corpse = "small-remnants",
        resistances ={{type = "fire",percent = 80}},
        collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
        collision_mask = {"floor-layer"},
        selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
        inventory_size = 1,
        picture =
        {
            filename = "__test__/graphics/resource-monitor.png",
            priority = "extra-high",
            width = 32,
            height = 32,
            shift = {0.0, 0.0}
        }
    },

    {
        type = "recipe",
        name = "mine-placer",
        ingredients = {{"electronic-circuit",10},{"copper-cable",20}},
        result = "mine-placer",
        result_count = 1,
        -- enabled = "false"
    },

    -- {
    --     type = "selection-tool",
    --     name = "test-sel",
    --     icon = "__test__/graphics/resource-monitor.png",
    --     flags = {"goes-to-quickbar"},
    --     damage_radius = 5,
    --     subgroup = "tool",
    --     order = "b[mine-placer]",
    --     place_result = "mine-placer",
    --     stack_size = 1,
    --     selection_color = "blue",
    --     alt_selection_color = "orange",
    --     selection_mode = "blueprint",
    --     alt_selection_mode = "blueprint",
    -- },

    -- {
    --     type = "recipe",
    --     name = "test-sel",
    --     ingredients = {{"electronic-circuit",10},{"copper-cable",20}},
    --     result = "test-sel",
    --     result_count = 1,
    --     -- enabled = "false"
    -- },

    -- {
    --     type = "technology",
    --     name = "resource-monitoring",
    --     icon = "__test__/graphics/yarm-tech.png",
    --     icon_size = 128,
    --     effects = {
    --         {
    --             type = "unlock-recipe",
    --             recipe = "resource-monitor"
    --         }
    --     },
    --     prerequisites = {
    --         "logistics-2"
    --     },
    --     unit = {
    --         count = 100,
    --         ingredients = {
    --             {"science-pack-1", 1},
    --             {"science-pack-2", 1}
    --         },
    --         time = 30
    --     }
    -- },

    {
        type = "container",
        name = "mp_overlay",
        flags = {"placeable-neutral", "player-creation", "not-repairable"},
        icon = "__test__/graphics/rm_Overlay.png",

        max_health = 1,
        order = 'z[resource-monitor]',

        collision_mask = {"resource-layer"},
        collision_box = {{-0.35, -0.35}, {0.35, 0.35}},

        selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
        inventory_size = 1,
        picture =
        {
            filename = "__test__/graphics/rm_Overlay.png",
            priority = "extra-high",
            width = 32,
            height = 32,
            shift = {0.0, 0.0}
        }
    },
})
